Subject: CAMELIA PESTICIDES, HELP!

From: [email-masked] (Ralph A. Rodriguez)
Date: 3 Mar 1995 04:16:03 GMT

Problem:  Our camelias are in Alachua County Florida in poor sandy soil.  
They have small white things all over the underside of the leaves 
(thrips?).  One bush grows well on the north side of the house craddled 
in an 'L of the house...guarded from the western wind by brick on one 
side, and from much eastern wind by a lot of trees and brush.  It seems 
to do well, grow, bloom, but still has bugs.  The other bush is on the 
same side of the house, but next to the garage wall, exposed to western 
wind, and the same eastern wind-broken by trees.  It has done all but 
died.  When it blooms, they only open partially, or drop off soon.  The 
bush hardly ever puts on new growth.

Do we fertilize?  I'm afraid we don't.  Have we used pesticide? Well.....
Any advice on details?

Thanks,

please e-mail

Ralph ([email-masked])